Skip to content
  • Get a paginated result view of consumers

    Request

    This endpoint returns a paginated result view of the request. This can sometimes take awhile and should be used after DoCount has been used to filter down your dataset.

    Headers
    Acceptstringrequired

    Format of the response.

    Enum:"application/json""*/*"
    Example:application/json
    Content-Typestringrequired

    Format of the request.

    Value:"application/json"
    Bodyapplication/jsonrequired
    CustomerIDstringrequired

    The License Key issued by Melissa.

    Includesobjectrequired

    Any parameter you would like to include in the query.

    Requires at least one from:

    • Zips
    • Cities
    • Radius
    • ShapeWKTs
    Excludesobject

    Any parameter you would like to exclude in the query.

    ColumnsArray of stringsrequired

    All Consumer Columns you want returned.

    Items Enum:"MelissaAddressKey""BaseMelissaAddressKey""TitlePrefixInd""FirstName""MiddleNameInitial""LastName""FullName""NameSuffix""AddressLine""Suite"
    Paginationobjectrequired

    Specify the desired page in the results to access. Pages are based on 100 records per page.

    OrderByArray of objects

    Specify the desired column to order the responses by.

    POST
    /Consumer/doLookup
    curl -i -X POST \
      https://dataretriever.melissadata.net/web/V1/Consumer/doLookup \
      -H 'Accept: application/json' \
      -H 'Content-Type: application/json' \
      -d '{
        "CustomerID": "{REPLACE-WITH-YOUR-LICENSE-KEY}",
        "Includes": {
          "Zips": [
            {
              "Zip": "92688",
              "CarrierRoute": "C057"
            }
          ]
        },
        "Excludes": {
          "AddressStreetName": [
            {
              "ZipCode": "92688",
              "Street": "Arado"
            }
          ]
        },
        "Columns": [
          "MelissaAddressKey",
          "AddressLine",
          "RBDI"
        ],
        "Pagination": {
          "Page": 1
        }
      }'

    Responses

    Successful response

    Bodyapplication/json
    Countinteger

    Number of records returned by the query.

    ResultsArray of objects

    Returned records with requested Columns.

    Paginationobject

    The current page number and the next page number.

    JobIdstring

    The JobId to be used to purchase and access the full dataset.

    ResultCodestring

    Success or Error codes based on the response/request.

    Messagestring

    Success or Error message associated with the result code.

    Response
    { "Count": 606, "Results": [ {}, {} ], "Pagination": { "CurrentPage": 1, "NextPage": 2, "TotalPages": 6 }, "JobId": "returned_job_id", "ResultCode": "LS01", "Message": "Success - Results found" }